﻿$esxhost = "192.168.0.10"
$username = "root"
$password = ConvertTo-SecureString "p@ssWord1" -AsPlainText -Force
$cred = New-Object -Typename System.Management.Automation.PSCredential -Argumentlist "root", $password
$viserver = @{Server=$esxhost;Credential=$cred}

$destloc = "\\sofs.contoso.int\vm-storage1"

$vmhost = "HV03"

$vmname = "MYSERVER01"

cd C:\vmware-to-hyperv-convert

. .\vmware-to-hyperv.ps1 -viserver $viserver -VMHost $vmhost -destLoc $destloc -VerboseMode

$vms = VMware.VimAutomation.Core\Get-VM -Server $script:viconnection

$vmwarevm = $vms | ?{$_.Name -eq $vmname}

$vm = Get-VMDetails $vmwarevm

Migrate-VMWareVM $vm
